## org.apache.solr.common.params
Interface CoreAdminParams

    public interface CoreAdminParams

Since:
  solr 1.3

Nested Class Summary
`static class` `CoreAdminParams.CoreAdminAction`

Field Summary
`static String` `ACTION` What action
`static String` `COLLECTION` The collection name in solr cloud
`static String` `CONFIG` If you specify a config, what is its name
`static String` `CORE` What Core are we talking about
`static String` `DATA_DIR` If you rename something, what is the new name
`static String` `DELETE_DATA_DIR`
`static String` `DELETE_INDEX` If you unload a core, delete the index too
`static String` `DELETE_INSTANCE_DIR`
`static String` `FILE` If you specify a file, what is its name
`static String` `INDEX_DIR` If you merge indexes, what are the index directories.
`static String` `INSTANCE_DIR` Specifies a core instance dir.
`static String` `NAME` If you rename something, what is the new name
`static String` `OTHER` Name of the other core in actions involving 2 cores
`static String` `PERSISTENT` Persistent -- should it save the cores state?
`static String` `PROPERTY_PREFIX` Prefix for core property name=value pair
`static String` `ROLES`
`static String` `SCHEMA` If you specify a schema, what is its name
`static String` `SHARD` The shard id in solr cloud
`static String` `SRC_CORE` If you merge indexes, what is the source core's name More than one source core can be specified by multiple srcCore parameters

Field Detail

### CORE

    static final String CORE

  What Core are we talking about

  See Also:
    Constant Field Values

### PERSISTENT

    static final String PERSISTENT

  Persistent -- should it save the cores state?

  See Also:
    Constant Field Values

### NAME

    static final String NAME

  If you rename something, what is the new name

  See Also:
    Constant Field Values

### DATA_DIR

    static final String DATA_DIR

  If you rename something, what is the new name

  See Also:
    Constant Field Values

### OTHER

    static final String OTHER

  Name of the other core in actions involving 2 cores

  See Also:
    Constant Field Values

### ACTION

    static final String ACTION

  What action

  See Also:
    Constant Field Values

### SCHEMA

    static final String SCHEMA

  If you specify a schema, what is its name

  See Also:
    Constant Field Values

### CONFIG

    static final String CONFIG

  If you specify a config, what is its name

  See Also:
    Constant Field Values

### INSTANCE_DIR

    static final String INSTANCE_DIR

  Specifies a core instance dir.

  See Also:
    Constant Field Values

### FILE

    static final String FILE

  If you specify a file, what is its name

  See Also:
    Constant Field Values

### INDEX_DIR

    static final String INDEX_DIR

  If you merge indexes, what are the index directories. The directories are specified by multiple indexDir parameters.

  See Also:
    Constant Field Values

### SRC_CORE

    static final String SRC_CORE

  If you merge indexes, what is the source core's name More than one source core can be specified by multiple srcCore parameters

  See Also:
    Constant Field Values

### COLLECTION

    static final String COLLECTION

  The collection name in solr cloud

  See Also:
    Constant Field Values

### SHARD

    static final String SHARD

  The shard id in solr cloud

  See Also:
    Constant Field Values

### ROLES

    static final String ROLES

See Also:
  Constant Field Values

### PROPERTY_PREFIX

    static final String PROPERTY_PREFIX

  Prefix for core property name=value pair

  See Also:
    Constant Field Values

### DELETE_INDEX

    static final String DELETE_INDEX

  If you unload a core, delete the index too

  See Also:
    Constant Field Values

### DELETE_DATA_DIR

    static final String DELETE_DATA_DIR

See Also:
  Constant Field Values

### DELETE_INSTANCE_DIR

    static final String DELETE_INSTANCE_DIR

See Also:
  Constant Field Values